Skip to main content
GET
/
deals
/
{dealId}
/
conversations
/
{cid}
/
messages
List messages in a deal-agent conversation
curl --request GET \
  --url https://app.hockeystack.com/api/revenue-agents/v1/deals/{dealId}/conversations/{cid}/messages \
  --header 'Authorization: Bearer <token>'
{
  "conversation_id": "<string>",
  "messages": [
    {
      "content": "<string>",
      "id": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

dealId
string
required

CRM deal ID (HubSpot/Salesforce object ID).

Required string length: 1 - 64
cid
string
required

Conversation ID returned by POST /deals/{dealId}/conversations (or the company equivalent).

Required string length: 1 - 128

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 200
after
string
order
enum<string>
Available options:
asc,
desc

Response

Messages page.

conversation_id
string
required
messages
object[]
required
next_cursor
string | null
required